Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		man
Version:	1.6f
Release:	1
License:	GNU/GPL 
URL:		http://primates.ximian.com/~flucifredi/man/
Group:		System/Base
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-1.6-less.patch
Patch1:		%{name}-1.6-manpath.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	The Man package contains programs for finding and viewing manual pages.
Requires:	bash binutils coreutils gawk grep
BuildRequires:  glibc-devel

%description
The man page suite, including man, apropos, and whatis consists of programs that are used to read
most of the documentation available on a Linux system.
The whatis and apropos programs can be used to find documentation related to a particular subject.
For more details see: http://primates.ximian.com/~flucifredi/man/

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1 -b -less
%patch1 -p1 -b -manpath

%build
./configure --prefix=%_prefix --confdir=%_sysconfdir --mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
sed -i "s#/usr/bin/gtbl#/usr/bin/tbl#" %{buildroot}/etc/man.conf
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%config %_sysconfdir/man.conf
%_bindir
%_sbindir
%_mandir


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6f-1
- Version update
* Sat Jun 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.6d-1
- Version update
* Sun Jan 29 2006 Christian Metzen <metzench@ccux-linux.de> 1.6c-1
- Version update
* Thu Sep 22 2005 Christian Metzen <metzench@ccux-linux.de> 1.6b-1
- Version update, removed wrong obsoletes Tag, refined files list
* Wed Aug 24 2005 Christian Metzen <metzench@ccux-linux.de> 1.6a-1
- Version update
* Wed Jul 15 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.6-3
- solve the gtbl problem
* Tue Jun 28 2005 Christian Wasem <wasem@ccux-linux.de> 1.6-2
- added less and manpath patch, added requires
* Tue Jun 28 2005 Christian Wasem <wasem@ccux-linux.de> 1.6-1
- update to Version 1.6
